.uris li {
	margin: 4px;
	list-style-type: none;
	padding: 0;
}

.uris .access-label {
	display: inline-block;
	width: 5em;
	text-align: center;
	font-weight: bold;
	color: white;
	margin: 4px;
	border-radius: 4px;
}

.uris .repository-READ .access-label {
	background-color: black;
}

.uris .repository-READ_WRITE .access-label {
	background-color: #47a447;
}

.mod-replacement {
	color: purple;
}

.mod-deletion {
	color: red;
}

.mod-addition {
	color: green;
}

.mod-modification {
	color: orange;
}

.full-commit-message {
	white-space: pre-line;
}

td.commit-revision {
	max-width: 7em;
	font-family: monospace;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
}

#diff-container {
	top: 148px;
	bottom: 64px;	
}

.commit-detail {
	width: 100%;
	margin: 1em;
}

.left-commit-detail {
	float: left;
	width: 50%;
}
.right-commit-detail {
	float: right;
	width: 50%;
}

.commit-date {
	display: block;
	font-style: italic;
}

.commit-detail .user-detail {
	font-weight: bold;
}

#right-userlogo, #left-userlogo {
	float: left;
}

#right-userlogo img, #left-userlogo img {
	width: 32px;
	margin-right: 16px;
}

#codePreview {
	margin: 1em;
	font-size: 11pt;
}

#codePreviewContainer #codePreview h1 {
	font-size: 2em;
	padding-bottom: 0.3em;
	border-bottom: 1px solid #eaecef;
	font-weight: 600;
	text-align: left;
}

#codePreviewContainer #codePreview h2 {
	font-size: 1.5em;
	padding-bottom: 0.3em;
	border-bottom: 1px solid #eaecef;
	font-weight: 600;
	text-align: left;
}

#codePreviewContainer #codePreview h3 {
	font-size: 1.25em;
	line-height: 1.25;
	font-weight: 600;
}

#codePreviewContainer #codePreview h4 {
	font-size: 1.15em;
	line-height: 1.15;
	font-weight: 400;
}

#codePreviewContainer #codePreview h5 {
	font-size: 1.05em;
	line-height: 1.05;
	font-weight: 300;
}

#codePreviewContainer #codePreview pre {
	padding: 16px;
	font-size: 85%;
	background-color: #f6f8fa;
}

#mainContainer .code-panel .panel-heading, #contentCommits .panel-heading {
	overflow: visible;
}

#button_referenceSelectorSelectButton {
	float: right;
}

#codeContent #table {
	table-layout: fixed; 
}

#codeContent #table > tbody > tr > td {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
#codeContent th[data-field="lastCommit.message"] {
	max-width: 400px;
	  
}